using AutoMapper;

using skydiveLogs_api.Domain;

namespace skydiveLogs_api.Mapper
{
    public class ModelProfile : Profile
    {
        public ModelProfile()
        {
            CreateMap<DataContract.JumpReq, Jump>();
            CreateMap<DataContract.JumpTypeReq, JumpType>();
            CreateMap<DataContract.AircraftReq, Aircraft>();
            CreateMap<DataContract.DropZoneReq, DropZone>();
            CreateMap<DataContract.GearReq, Gear>();
            CreateMap<DataContract.UserReq, User>();
            CreateMap<DataContract.ImageReq, UserImage>();

            CreateMap<Gear, DataContract.GearResp>();
            CreateMap<Jump, DataContract.JumpResp>();
            CreateMap<JumpType, DataContract.JumpTypeResp>();
            CreateMap<Aircraft, DataContract.AircraftResp>();
            CreateMap<Aircraft, DataContract.AircraftSimpleResp>();
            CreateMap<DropZone, DataContract.DropZoneResp>();
            CreateMap<DropZone, DataContract.DropZoneSimpleResp>();
            CreateMap<Statistic, DataContract.StatisticResp>();
            CreateMap<User, DataContract.UserResp>();
            CreateMap<UserImage, DataContract.ImageResp>();

            CreateMap<SimpleSummary, DataContract.SimpleSummaryResp>();
        }
    }
}